[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'ImgList' (#lcl)

# TCustomImageList.GetFullRawImage

Gets the raw image data for all images in the default resolution.

## Declaration

Source position: imglist.pp line 374

`public procedure TCustomImageList.GetFullRawImage(`
`out Image: TRawImage`
`);`

## Arguments

`Image` |  | Image used to store the 32-bit raw image data for the default resolution.

## Description

GetFullRawImage is a procedure used to get the 32-bit RGBA raw image data for all images in the default resolution. Image is a TRawImage output parameter where the raw image data is stored in the method.

GetFullRawImage calls the GetResolution method to get the image resolution that uses the image size in the Width property. The GetFullRawImage method in the TCustomImageListResolution instance is called to store the raw image data for the resolution.

## See also

TCustomImageList.GetResolution |  | Gets the value for the indexed Resolution property.
TRawImage